package com.lz.modules.app.enums;

public enum ExcelStaffHeardEnum {

    staffName("姓名", "name"),
    gender("性别", "gender"),//性别【1:男；2:女；0：未知】
    mobile("联系电话", "mobile"),
    maritalStatus("婚否", "maritalStatus"),//婚姻状况【0：未婚；1：已婚】
    national("民族", "national"),
    politicalLandscape("政治面貌", "politicalLandscape"),
    birthday("出生日期", "birthday"),
    province("省份", "province"),
    currentAddress("现住址", "currentAddress"),
    emergencyContact("紧急联系人", "emergencyContact"),
    emergencyContactPhone("紧急联系电话", "emergencyContactPhone"),
    email("邮箱", "email"),

    staffNo("工号", "staffNo"),
    signingCompany("劳动合同签订公司", "signingCompany"),
    contractEndTime("劳动合同结束时间", "contractEndTime"),
    position("职位", "position"),
    entryTime("入职日期", "entryTime"),
    officialTime("转正日期", "officialTime"),
    probationStatus("试用期状态", "probationStatus"),//正式/适用
    companySeniority("司龄", "companySeniority"),
    workExperience("工作经历", "workExperience"),
    jobBeginTime("从事该岗位最初时间", "jobBeginTime"),
    jobSeniority("从事该岗位工龄", "jobSeniority"),
    resignationTime("离职日期", "resignationTime"),
    resignationReasons("离职原因", "resignationReasons"),

    education("学历", "education"),//初中/高中/大专/本科/硕士及以上
    graduatedSchool("毕业院校", "graduatedSchool"),
    specialty("专业", "specialty"),
    graduationTime("毕业日期", "graduationTime"),

    primarySector("一级部门", "primarySector"),
    secondarySector("二级部门", "secondarySector"),
    tertiarySector("三级部门", "tertiarySector"),

    projectName("项目名称", "projectName"),
    projectContent("项目工作内容", "projectContent"),
    projectBeginTime("项目时间起", "projectBeginTime"),
    projectEndTime("项目时间止", "projectEndTime"),

    transferTime("工作调转时间", "transferTime"),
    transferRecord("调转记录", "transferRecord"),
    transferType("调转类型", "transferType");//调转类型[平调/升职/降职]


    private String name;
    private String field;

    ExcelStaffHeardEnum(String name, String field) {
        this.name = name;
        this.field = field;
    }

    public static String findFieldByName(String name) {
        for (ExcelStaffHeardEnum staffWork : ExcelStaffHeardEnum.values()) {
            if (staffWork.getName().equals(name)) {
                return staffWork.getField();
            }
        }
        return null;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }


}
